{%- assign inputs = include.params -%}
<!--================ Content Section ================-->
<section class="text-center milenia-section">
    <h6 class="milenia-section-subtitle milenia-color--unchangeable">{{inputs.text1}}</h6>
    <h2 class="milenia-section-title">{{inputs.text2}}</h2>
    <!--================ Entities (Style 7) ================-->
    <div class="milenia-entities milenia-entities--style-7 milenia-entities--no-content">
        {%- assign posts = site.posts -%}
        {%- if inputs.relatedPosts and inputs.relatedPosts > 0 -%}
            {%- assign posts = inputs.relatedPosts -%}
        {%- endif -%}
        {%- assign numCols = 3 -%}
        {%- if posts.length < 3 -%}
            {%- assign numCols = posts.length -%}
        {%- endif -%}
        <div class="milenia-grid milenia-grid--cols-{{numCols}}">
            {%- for post in posts limit: numCols -%}    
            <div class="milenia-grid-item">
                <!--================ Entity ================-->
                <article class="milenia-entity--format-image milenia-entity">
                    <!-- TODO: Heissa custom => added width="480px" height="286px" for better scene -->
                    <div class="milenia-entity-media"><a href="{{post.url}}"
                        
                            class="milenia-ln--independent"><img width="480px" height="286px" src="{{post.mainImage}}" alt="{{post.title}}"></a></div>
                    <div class="milenia-entity-content milenia-aligner">
                        <div class="milenia-aligner-outer">
                            <div class="milenia-aligner-inner">
                                <header class="milenia-entity-header">
                                    <div class="milenia-entity-meta">
                                        <div>
                                            <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                        </div>
                                    </div>
                                    <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                            class="milenia-color--unchangeable">{{post.title}}</a></h2>
                                </header>
                                <footer class="milenia-entity-footer"><a href="{{post.url}}"
                                        class="milenia-btn milenia-btn--link milenia-btn--scheme-primary">Read More</a>
                                </footer>
                            </div>
                        </div>
                    </div>
                </article>
                <!--================ End of Entity ================-->
            </div>
            {%- endfor -%}
        </div>
    </div>
    <!--================ End of Entities (Style 7) ================-->
    <a href="/blog" class="milenia-btn">See All News</a>
</section>
<!--================ End of Content Section ================-->